module Bitcointerminal
  module V1::Addresses

    def post_address(symbol='BTC')
      params = {symbol: symbol}
      s = authenticated_post('/v1/addresses', params: params).body
      JSON.parse(s,:symbolize_names => true)
      # puts "authenticated_post: #{s}"
      # JSON.parse(s,:symbolize_names => true)
    end


    def addresses_size
      s = authenticated_get("/v1/currencies/").body
      JSON.parse(s,:symbolize_names => true)
    end



    def items()
      s = authenticated_get('/v1/items').body
      JSON.parse(s,:symbolize_names => true)
    end

    def networks()
      s = authenticated_get('/v1/networks/').body
      JSON.parse(s,:symbolize_names => true)
    end

    def post_item(name, description)
      params = {name: name, description: description}
      authenticated_post('/v1/items', params: params)
    end

    def patch_item(id, name)
      params = {name: name}
      s = authenticated_patch("/v1/items/#{id}", params: params).body
      JSON.parse(s,:symbolize_names => true)
    end

  end
end
